Skip to main content
POST
/
v2
/
admin
/
tenants
Create Tenant
curl --request POST \
  --url https://api.voxo.co/v2/admin/tenants/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "timezoneId": 123,
  "partnerId": 123,
  "billingStartDate": "2023-12-25"
}
'
{
  "id": 123,
  "name": "<string>",
  "tenantCode": "<string>",
  "externalBillingId": "<string>",
  "billingStartDate": "<string>",
  "conduitPrefix": "<string>",
  "brandId": "<string>",
  "brandVertical": "<string>",
  "resellerType": "<string>",
  "globalQueueActions": 123,
  "queuePauseReasons": [
    "<string>"
  ],
  "parkinglotTimeout": 123,
  "incomingRingsCount": 123,
  "recordingStorage": "<string>",
  "recordingHost": "<string>",
  "recordingUser": "<string>",
  "recordingPassword": "<string>",
  "recordingDir": "<string>",
  "salesforceDomain": "<string>",
  "salesforceCTITasks": "<string>",
  "autoPortReject": 123,
  "callWaiting": 123,
  "disabled": 123,
  "enableSoftphonePark": 123,
  "isResidential": 123,
  "mfaEnabled": 123,
  "recordUserSessions": 123,
  "sameRing": 123,
  "forceVoicemailPin": 123,
  "billingV2": 123,
  "timezone": {
    "id": 123,
    "name": "<string>"
  },
  "musicOnHold": {
    "id": 123,
    "name": "<string>"
  },
  "routingProfile": {
    "id": 123,
    "name": "<string>"
  },
  "partner": {
    "id": 123,
    "name": "<string>",
    "tenantId": 123
  },
  "isResellerAccount": 123,
  "parkinglotCount": 123,
  "notes": [
    {
      "id": 123,
      "name": "<string>",
      "note": "<string>",
      "userId": 123
    }
  ],
  "webhooks": [
    {
      "id": 123,
      "url": "<string>",
      "type": "<string>"
    }
  ],
  "products": [
    {
      "id": 123,
      "productId": 123,
      "price": "<string>",
      "customQuantity": 123,
      "customDescription": "<string>",
      "tenantId": 123
    }
  ],
  "integrations": [
    {
      "id": 123,
      "name": "<string>",
      "category": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Tenant name

Minimum string length: 3
timezoneId
number
required

Timezone ID

partnerId
number
required

Partner ID

billingStartDate
string<date>
required

Billing start date (ISO date, must be 1st, 5th, 10th, 15th, or 20th)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
externalBillingId
string

External billing ID

Pattern: ^[1-9]\d*$
billingV2
boolean

Enable billing V2

healthcareVertical
string

Healthcare vertical

billingInfo
object

Billing contact information

Response

Created tenant

id
number
required

Tenant ID

name
string
required

Tenant name

tenantCode
string
required

Tenant code

externalBillingId
string | null
required

External billing ID

billingStartDate
string | null
required

Billing start date

conduitPrefix
string | null
required

Conduit prefix

brandId
string | null
required

Brand ID

brandVertical
string | null
required

Brand vertical

resellerType
string | null
required

Reseller type (RESELLER or WHITELABEL)

globalQueueActions
number | null
required

Global queue actions flag

queuePauseReasons
string[] | null
required

Queue pause reasons

parkinglotTimeout
number | null
required

Parking lot timeout in seconds

incomingRingsCount
number | null
required

Incoming rings count

recordingStorage
string | null
required

Recording storage type (DEFAULT or AWS3)

recordingHost
string | null
required

Recording host URL

recordingUser
string | null
required

Recording storage username

recordingPassword
string | null
required

Recording storage password

recordingDir
string | null
required

Recording storage directory

salesforceDomain
string | null
required

Salesforce domain URL

salesforceCTITasks
string | null
required

Salesforce CTI tasks setting

autoPortReject
number | null
required

Auto port reject flag

callWaiting
number | null
required

Call waiting flag

disabled
number
required

Whether tenant is disabled (1 = yes, 0 = no)

enableSoftphonePark
number | null
required

Enable softphone park flag

isResidential
number | null
required

Whether tenant is residential

mfaEnabled
number | null
required

Whether MFA is enabled

recordUserSessions
number | null
required

Whether user sessions are recorded

sameRing
number | null
required

Same ring flag

forceVoicemailPin
number | null
required

Force voicemail PIN flag

billingV2
number | null
required

Whether billing V2 is enabled

timezone
object
required

Timezone details

musicOnHold
object
required

Music on hold details

routingProfile
object
required

Routing profile details

partner
object
required

Partner details

isResellerAccount
number
required

Whether this is a reseller account (1 = yes, 0 = no)

parkinglotCount
number | null
required

Number of parking lot spaces

notes
object[]
required

Account notes

webhooks
object[]
required

Configured webhooks

products
object[]
required

Product pricing entries

integrations
object[]
required

Active integrations